# ADD IN PUBSPEC.YMAL
```dart
dependencies:
  google_applovin_unity_ads:
  get:
  flutter_screenutil:
```

# ADD IN ANDROID MANIFEST

```dart

//PERMISSION 
      <uses-permission android:name="android.permission.INTERNET" />
      <uses-permission android:name="com.google.android.gms.permission.AD_ID"/>

<applicaton
<meta-data
    android:name="com.google.android.gms.ads.AD_MANAGER_APP"
    android:value="true" />

//FOR ANDROID SPLASH SCREEN
<meta-data
    android:name="io.flutter.embedding.android.SplashScreenDrawable"
    android:resource="@drawable/launch_background" />
</application>

```


# ADD IN BUILD GRADEL
```dart
    multiDexEnabled true
    targetSdkVersion 33
```


# ADD IN VOID MAIN

```dart
void main() {
      WidgetsFlutterBinding.ensureInitialized();
      MobileAds.instance.initialize();
      runApp(const MyApp());
}
```

# INITIALISE ADS FIRST TIME

```dart

  @override
  void initState() {
    // TODO: implement initState
    super.initState();
    fetchAdsSettings(
            appVersionCode: 1,
            settingsUrl:
                "https://gitlab.com/pp.bitcoding/demotest/-/raw/main/test.json",
            keyName: "com.bitlinks.arebic.iptv.m3ulist")
        .then((value) => {
             
              if ((getAdsSettings()?.appLovin?.sdkKey ?? "").isNotEmpty)
                {
                  AppLovinAds.instance
                      .initialize(value!.appLovin!.sdkKey!)
                      .then((value) => {
                            Get.to(const Abcd()),
                          })
                }
              else
                {
                  Get.to(const Abcd()),
                }
            });
  }

```

# FOR OPEN AD

```dart
    initOpenAds(onOpenAdLoaded: () => {showOpenAds()}),
```

# FOR INTRA AD

```dart
    showIntraAds(callback: () => {});
```

# FOR REWARD AD
```dart
    showRewardAds(callback: () => {});
```

# FOR BANNER AD

```dart

  Widget bannerShow = Container(height: 0);
  var adSizeBanner = AdSize.largeBanner;         -> medium height.
  var adSizeBanner = AdSize.mediumRectangle;     -> full height.
  var adSizeBanner = AdSize.banner;              -> small height.
  
  
  <--------load native ad -------->
  
    showBannerAds(
      size: adSiiize,
      onAdLoadedCallback: (p0) {
        setState(() {
          bannerShow = p0;
        });
      },
    );
    
    
 <--------show native ad -------->
      bannerShow,
 
```


# SMALL NATIVE

```dart
 Widget smallNativeShow = Container(
    height: 0,
  );
  
  <--------load native ad -------->
  
  showMediumNativeAds(
        onAdLoadedCallback: (a) => {
              setState(() {
                smallNativeShow = a;
              })
            });
  
  <--------show native ad -------->
  smallNativeShow,
  
```

# BIG NATIVE

```dart

  Widget BigNativeShow = Container(
    height: 0,
  );

  <--------load native ad -------->
   showNativeAds(
        onAdLoadedCallback: (a) => {
              setState(() {
                BigNativeShow = a;
              })
            });
            
            
  <--------show native ad -------->            
            BigNativeShow,
```

